
QGIS Application - Bug report #2942

Maximizing window crashes on winXP

2010-08-15 06:12 PM - fenugrec -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13002

Description

Non-exhaustive testing shows:

with a project loaded, double-clicking or otherwise maximizing the main QGIS window will cause the following sequence of events:

-window is made bigger, toolbars etc. are loaded

-canvas is white at this point, shortly afterwards (during redraw ?) QGIS crashes.

Only tested on winXP, QGIS version 1.5.0-2 binary package.

History

#1 - 2010-08-16 08:36 AM - fenugrec -

After a bit more testing, I've found this:

-number or type of layers is irrelevant

-crashes only if the Overview window is open and has

at least 1 layer marked as "display in overview" 

-doesn't crash on minimize/restore

#2 - 2010-08-17 04:30 AM - Giovanni Manghi

this could be related to other tickets like #2884

#3 - 2011-03-02 06:44 AM - Paolo Cavallini

See also #2714, possibly duplicated

#4 - 2011-03-03 01:30 PM - Volker Fröhlich

I tried with XP and 1.6.0. No problems there.

Can you give that a try too?

#5 - 2011-03-03 02:52 PM - fenugrec -

I just updated to 1.6.0, and the bug is still present. Remember the overview window has to be activated and displaying at least 1 layer. This similar to

#2884, which I am also plagued by.
#6 - 2011-03-03 03:09 PM - Volker Fröhlich

Ah, I got you wrong on the overview before.

Very funny! I've seen #2884 happen before, but I currently can't crash 1.6 on Windows. Neither with maximizing.

#7 - 2011-03-27 10:15 PM - Bill Williamson

- Resolution set to worksforme

- Status changed from Open to Closed

Cannot reproduce in Win7 with latest trunk (get a new computer...).  

I did get behaviour of the overview not displaying, however if undocked the overview window it did display consistently on zoom, maximise minimise etc.

Also was fun to learn about the overview feature. If it was not for this bug would never have found it....
